import { GraphQLSchema, GraphQLError, Source, GraphQLNamedType } from 'graphql';
export interface TypeChildCoverage {
    hits: number;
}
export interface TypeCoverage {
    hits: number;
    type: GraphQLNamedType;
    children: {
        [name: string]: TypeChildCoverage;
    };
}
export interface SchemaCoverage {
    [typename: string]: TypeCoverage;
}
export interface InvalidDocument {
    source: Source;
    errors: ReadonlyArray<GraphQLError>;
}
export declare function coverage(schema: GraphQLSchema, sources: Source[]): SchemaCoverage;
